<?php
	/*
	Plugin Name: Subscription Genius
	Plugin URI: http://www.subscriptiongenius.com
	Description: This plugin integrates your Subscription Genius database
to create a members only section. It will allow only active
subscribers to view desired pages within WordPress.
	Author: Pape Ventures
	Version: 1.0
	Author URI: http://www.subscriptiongenius.com
	*/
	
	global $forgotMessage;
	
	
	$APILOCATION = "https://api.subscriptiongenius.com";
	
	if($_REQUEST['returnURL'])
	{
		$_SESSION['returnURL'] = $_REQUEST['returnURL'];	
	}
		
	if($_REQUEST['sg_login_user_method'] == 'email')
	{
		 $data = $APILOCATION."/1/index.php?";
				$data .= "Task=HasActiveSubscriptionEmail";
				$data .= "&ApiLogin=".get_option('subgen_apilogin');
				$data .= "&Email=".urlencode($_REQUEST['email']);
				$data .= "&Password=".urlencode($_REQUEST['password']);
				
				
		
		$rval = file_get_contents($data);
		
		
		if($rval == 'true')
		{
			$_SESSION['subgen_logged'] = true;	
		}
		else
		{
			$loginFailedMessage = "Please try again.";
		}
	}
	if($_REQUEST['sg_login_user_method'] == 'code')
	{
		$data = $APILOCATION."/1/index.php?";
		$data .= "Task=HasActiveSubscriptionEmail";
		$data .= "&ApiLogin=".get_option('subgen_apilogin');
		$data .= "&RenewalCode=".urlencode($_REQUEST['renewalCode']);
		$data .= "&ZipCode=".urlencode($_REQUEST['zipCode']);
				
		
		$rval = file_get_contents($data);
		
		
		if($rval == 'true')
		{
			$_SESSION['subgen_logged'] = true;	
		}
		else
		{
			$loginFailedMessage = "Please try again.";
		}
	}
	if($_REQUEST['sg_login_user_method'] == 'forgot')
	{
		$data = $APILOCATION."/1/index.php?";
		$data .= "Task=SendPassword";
		$data .= "&ApiLogin=".get_option('subgen_apilogin');
		$data .= "&Email=".urlencode($_REQUEST['email']);		
		
		$rval = file_get_contents($data);
		
		if($rval == 'true')
		{
			header('Location: '.$_SESSION['returnURL']);
			exit();	
		}
		else
		{
			$forgotMessage = "Email was not found in our database.";
		}
	}
	
	
	
	
	
	add_action('wp', 'canViewPage');
	
	if($_REQUEST['subscribe'])
	{
		add_action('wp', 'subscribePage');
	}
	
	
	function canViewPage()
	{
		global $forgotMessage;
		
		if($_REQUEST['lostpassword'] == 'true')
		{
			get_header();
			
			if($_REQUEST['returnURL'])
			{
				$_SESSION['returnURL'] = $_REQUEST['returnURL'];
			}
			
			include('pages/lostPassword.php');
				
			get_footer();
	
			exit();
		}
		if(pageProtected() && !isLoggedIn())
		{
			get_header();
			include('pages/login.php');
			get_footer();
			
			exit();
		}
	}
	
	
	function subscribePage()
	{
		get_header();
		?><iframe src="https://checkout.subscriptiongenius.com/wordpress.cryoplex.com/?plain=true" frameborder="0" style="width:602px; height:1000px;"></iframe><?
		get_sidebar();
		get_footer();
		
		exit();
	}
	
	function isLoggedIn()
	{
		if($_SESSION['subgen_logged'])
			return true;
		else
			return false;
	}
	
	function pageProtected()
	{
		global $post;
		global $wp_query;
		
		$myPage = clone $post;
		
		$membersAreaPageID = get_option('subgen_members_area_page_id');
		
		for($i = 0; $i < 1000; $i++)
		{
			//echo $myPage->ID.'<br>';
			
			if($membersAreaPageID == $myPage->ID)
				return true;
				
			if($myPage->post_parent == 0)
				return false;
				
			$myPage = get_page($myPage->post_parent);
			
			if($myPage->ID == 1)
				return false;
		}
		
		return false;
	}



	
	
	
	
	
	
	if ( is_home() )
	{
		die('would you like to subscribe first?');	
	}
	
	add_action('admin_menu', 'subGen_plugin_menu');

	function subGen_plugin_menu() {
		add_menu_page('Page title', 'Subscription Genius', 'manage_options', 'subGen-top-level-handle', 'open_subGen_Page_Home');
		add_submenu_page( 'subGen-top-level-handle', 'Settings', 'Settings', 'manage_options', 'subGen-submenu-handle', 'open_subGen_Page_Settings');
	}

	
	
	function open_subGen_Page_Home()
	{
		include('pages/home.php');
	}
	
	
	function open_subGen_Page_Settings()
	{
		include('pages/settings.php');
	}
	
	
	
	function my_init_method() {
		wp_register_script( 'jquery', '/wp-content/plugins/subscriptionGenius/js/main.js');
		wp_enqueue_script( 'jquery' );
	}    
	
	function SGTEST()
	{
		return 'test';
	}
	
	add_action('init', 'my_init_method');
	
	
	add_shortcode('SUBGEN', 'SGTEST');
	
/*if (is_page('about')) {
   ==   javascript code here ==
<?php } ?>*/

	
	
	
	/*
	
	if(isProtected($membersAreaPageID, $post))
	{
		echo "true";	
	}
	else
	{
		echo "false";
	}
	*/
	
	
	function pageIsProtected($parentMemberID)
	{
		$query = new WP_Query('page_id='.the_ID());
		$parentID = $query->post->post_parent;
	
		$currID = $post->ID;
		
		echo $currID;
		
		for($i = 0; $i < 1000; $i++)
		{
			if($parentMemberID == $currID)
				return true;
				
			$ancestors=get_post_ancestors($currID);
			$root=count($ancestors)-1;
			$currID = $ancestors[$root];
			
			if(!$currID)
				return false;	
		}
		
		return false;
	}

?>
	
